/[gentoo-x86]/media-video/vlc/vlc-9999.ebuild
Gentoo

Contents of /media-video/vlc/vlc-9999.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.79 - (hide annotations) (download)
Fri Jun 25 11:30:50 2010 UTC (7 years ago) by aballier
Branch: MAIN
Changes since 1.78: +6 -12 lines
cosmetics
(Portage version: 2.2_rc67/cvs/Linux x86_64)

1 aballier 1.52 # Copyright 1999-2010 Gentoo Foundation
2 aballier 1.1 # Distributed under the terms of the GNU General Public License v2
3 aballier 1.79 # $Header: /var/cvsroot/gentoo-x86/media-video/vlc/vlc-9999.ebuild,v 1.78 2010/06/25 09:18:24 aballier Exp $
4 aballier 1.1
5 aballier 1.22 EAPI="2"
6 aballier 1.1
7     SCM=""
8     if [ "${PV%9999}" != "${PV}" ] ; then
9     SCM=git
10     EGIT_BOOTSTRAP="bootstrap"
11 aballier 1.52 EGIT_BRANCH=master
12     EGIT_PROJECT=${P}
13 aballier 1.1 if [ "${PV%.9999}" != "${PV}" ] ; then
14 aballier 1.52 EGIT_REPO_URI="git://git.videolan.org/vlc/vlc-${PV%.9999}.git"
15 aballier 1.1 else
16 aballier 1.52 EGIT_REPO_URI="git://git.videolan.org/vlc.git"
17 aballier 1.1 fi
18     fi
19    
20     inherit eutils multilib autotools toolchain-funcs gnome2 nsplugins qt4 flag-o-matic ${SCM}
21    
22     MY_PV="${PV/_/-}"
23     MY_PV="${MY_PV/-beta/-test}"
24     MY_P="${PN}-${MY_PV}"
25     VLC_SNAPSHOT_TIME="0013"
26    
27 aballier 1.64 PATCHLEVEL="85"
28 aballier 1.1 DESCRIPTION="VLC media player - Video player and streamer"
29     HOMEPAGE="http://www.videolan.org/vlc/"
30     if [ "${PV%9999}" != "${PV}" ] ; then # Live ebuild
31     SRC_URI=""
32     elif [[ "${P}" == *_alpha* ]]; then # Snapshots taken from nightlies.videolan.org
33     SRC_URI="http://nightlies.videolan.org/build/source/trunk-${PV/*_alpha/}-${VLC_SNAPSHOT_TIME}/${PN}-snapshot-${PV/*_alpha/}.tar.bz2"
34     MY_P="${P/_alpha*/}-git"
35     elif [[ "${MY_P}" == "${P}" ]]; then
36     SRC_URI="http://download.videolan.org/pub/videolan/${PN}/${PV}/${P}.tar.bz2"
37     else
38     SRC_URI="http://download.videolan.org/pub/videolan/testing/${MY_P}/${MY_P}.tar.bz2"
39     fi
40    
41     SRC_URI="${SRC_URI}
42 aballier 1.47 mirror://gentoo/${PN}-patches-${PATCHLEVEL}.tar.bz2"
43 aballier 1.1
44     LICENSE="GPL-2"
45     SLOT="0"
46    
47     KEYWORDS=""
48 aballier 1.59 IUSE="a52 aac aalib alsa altivec atmo avahi bidi cdda cddb dbus dc1394
49 aballier 1.36 debug dirac directfb dts dvb dvd elibc_glibc fbcon fluidsynth +ffmpeg flac fontconfig
50 aballier 1.68 +gcrypt ggi gnome gnutls httpd id3tag ieee1394 jack kate kde libass libcaca
51 aballier 1.60 libnotify libproxy libtiger libv4l libv4l2 lirc live lua matroska mmx
52 aballier 1.18 modplug mp3 mpeg mtp musepack ncurses nsplugin ogg opengl optimisememory oss
53 aballier 1.38 png projectm pulseaudio pvr +qt4 remoteosd rtsp run-as-root samba
54 aballier 1.55 schroedinger sdl sdl-image shine shout skins speex sqlite sse stream
55 aballier 1.71 svg svga taglib theora truetype twolame udev upnp v4l v4l2 vaapi vcdx vlm
56 aballier 1.74 vorbis win32codecs wma-fixed +X x264 +xcb xml xosd xv zvbi"
57 aballier 1.1
58     RDEPEND="
59 aballier 1.24 !!<=media-video/vlc-1.0.99999
60 aballier 1.1 sys-libs/zlib
61 aballier 1.20 >=media-libs/libdvbpsi-0.1.6
62 aballier 1.1 a52? ( >=media-libs/a52dec-0.7.4-r3 )
63     aalib? ( media-libs/aalib )
64     aac? ( >=media-libs/faad2-2.6.1 )
65     alsa? ( media-libs/alsa-lib )
66 aballier 1.69 avahi? ( >=net-dns/avahi-0.6[dbus] )
67 aballier 1.1 bidi? ( >=dev-libs/fribidi-0.10.4 )
68     cdda? ( cddb? ( >=media-libs/libcddb-1.2.0 ) )
69     dbus? ( >=sys-apps/dbus-1.0.2 )
70 aballier 1.79 dc1394? ( >=sys-libs/libraw1394-2.0.1 >=media-libs/libdc1394-2.0.2 )
71 aballier 1.1 dirac? ( >=media-video/dirac-0.10.0 )
72 aballier 1.37 directfb? ( dev-libs/DirectFB sys-libs/zlib )
73 aballier 1.1 dts? ( media-libs/libdca )
74 aballier 1.70 dvd? ( media-libs/libdvdread >=media-libs/libdvdnav-0.1.9 )
75 aballier 1.36 elibc_glibc? ( >=sys-libs/glibc-2.8 )
76 aballier 1.1 ffmpeg? ( >=media-video/ffmpeg-0.4.9_p20090201 )
77 aballier 1.79 flac? ( media-libs/libogg >=media-libs/flac-1.1.2 )
78 aballier 1.1 fluidsynth? ( media-sound/fluidsynth )
79     fontconfig? ( media-libs/fontconfig )
80 pva 1.16 gcrypt? ( >=dev-libs/libgcrypt-1.2.0 )
81 aballier 1.1 ggi? ( media-libs/libggi )
82     gnome? ( gnome-base/gnome-vfs )
83 aballier 1.77 gnutls? ( >=net-libs/gnutls-1.7.4 >=dev-libs/libgcrypt-1.2.0 )
84 aballier 1.37 id3tag? ( media-libs/libid3tag sys-libs/zlib )
85 aballier 1.18 ieee1394? ( >=sys-libs/libraw1394-2.0.1 >=sys-libs/libavc1394-0.5.3 )
86 aballier 1.1 jack? ( >=media-sound/jack-audio-connection-kit-0.99.0-r1 )
87     kate? ( >=media-libs/libkate-0.1.1 )
88 aballier 1.31 libass? ( >=media-libs/libass-0.9.6 media-libs/fontconfig )
89 aballier 1.54 libcaca? ( >=media-libs/libcaca-0.99_beta14 )
90 aballier 1.1 libnotify? ( x11-libs/libnotify )
91 aballier 1.13 libproxy? ( net-libs/libproxy )
92 aballier 1.17 libtiger? ( media-libs/libtiger )
93 aballier 1.1 lirc? ( app-misc/lirc )
94     live? ( >=media-plugins/live-2008.07.06 )
95     lua? ( >=dev-lang/lua-5.1 )
96 aballier 1.79 matroska? ( >=dev-libs/libebml-0.7.6 >=media-libs/libmatroska-0.8.0 )
97 aballier 1.54 modplug? ( >=media-libs/libmodplug-0.8 )
98 aballier 1.1 mp3? ( media-libs/libmad )
99     mpeg? ( >=media-libs/libmpeg2-0.3.2 )
100 aballier 1.73 mtp? ( >=media-libs/libmtp-1.0.0 )
101 ssuominen 1.44 musepack? ( >=media-sound/musepack-tools-444 )
102 aballier 1.1 ncurses? ( sys-libs/ncurses )
103 aballier 1.65 nsplugin? ( >=net-libs/xulrunner-1.9.2 x11-libs/libXpm x11-libs/libXt )
104 aballier 1.1 ogg? ( media-libs/libogg )
105 aballier 1.78 opengl? ( virtual/opengl x11-libs/libX11[xcb] )
106 aballier 1.37 png? ( media-libs/libpng sys-libs/zlib )
107 aballier 1.21 projectm? ( media-libs/libprojectm )
108 aballier 1.74 pulseaudio? ( >=media-sound/pulseaudio-0.9.11
109     !X? ( >=media-sound/pulseaudio-0.9.11[-X] ) )
110 aballier 1.35 qt4? ( x11-libs/qt-gui:4 x11-libs/qt-core:4 x11-libs/libX11 )
111 aballier 1.1 remoteosd? ( >=dev-libs/libgcrypt-1.2.0 )
112 aballier 1.79 samba? ( || ( >=net-fs/samba-3.4.6[smbclient] <net-fs/samba-3.4 ) )
113 aballier 1.12 schroedinger? ( >=media-libs/schroedinger-1.0.6 )
114 aballier 1.1 sdl? ( >=media-libs/libsdl-1.2.8
115 aballier 1.37 sdl-image? ( media-libs/sdl-image sys-libs/zlib ) )
116 aballier 1.1 shout? ( media-libs/libshout )
117 aballier 1.69 skins? (
118     x11-libs/qt-gui:4 x11-libs/qt-core:4
119     x11-libs/libXext x11-libs/libX11
120     media-libs/freetype media-fonts/dejavu
121     )
122 aballier 1.1 speex? ( media-libs/speex )
123 aballier 1.54 sqlite? ( >=dev-db/sqlite-3.6.0:3 )
124 aballier 1.1 svg? ( >=gnome-base/librsvg-2.9.0 )
125     svga? ( media-libs/svgalib )
126 aballier 1.37 taglib? ( >=media-libs/taglib-1.5 sys-libs/zlib )
127 aballier 1.6 theora? ( >=media-libs/libtheora-1.0_beta3 )
128 aballier 1.79 truetype? ( media-libs/freetype media-fonts/dejavu )
129 aballier 1.1 twolame? ( media-sound/twolame )
130 aballier 1.45 udev? ( >=sys-fs/udev-142 )
131 aballier 1.1 upnp? ( net-libs/libupnp )
132     v4l2? ( libv4l2? ( media-libs/libv4l ) )
133 aballier 1.48 v4l? ( libv4l? ( media-libs/libv4l ) )
134 aballier 1.71 vaapi? ( x11-libs/libva >=media-video/ffmpeg-0.5_p22846 )
135 aballier 1.59 vcdx? ( >=dev-libs/libcdio-0.78.2 >=media-video/vcdimager-0.7.22 )
136 aballier 1.1 vorbis? ( media-libs/libvorbis )
137     win32codecs? ( media-libs/win32codecs )
138 aballier 1.74 X? ( x11-libs/libX11 )
139 aballier 1.40 x264? ( >=media-libs/x264-0.0.20090923 )
140 aballier 1.2 xcb? ( x11-libs/libxcb x11-libs/xcb-util )
141 aballier 1.1 xml? ( dev-libs/libxml2 )
142     xosd? ( x11-libs/xosd )
143     zvbi? ( >=media-libs/zvbi-0.2.25 )
144     "
145    
146     DEPEND="${RDEPEND}
147     dvb? ( sys-kernel/linux-headers )
148 aballier 1.68 kde? ( >=kde-base/kdelibs-4 )
149 aballier 1.1 v4l? ( sys-kernel/linux-headers )
150 aballier 1.28 v4l2? ( >=sys-kernel/linux-headers-2.6.25 )
151 aballier 1.2 xcb? ( x11-proto/xproto )
152 aballier 1.1 dev-util/pkgconfig"
153    
154     S="${WORKDIR}/${MY_P}"
155    
156 aballier 1.5 # Displays a warning if the first use flag is set but the second is not
157 aballier 1.1 vlc_use_needs() {
158     use $1 && use !$2 && ewarn "USE=$1 requires $2, $1 will be disabled."
159     }
160    
161     # Notify the user that some useflag have been forced on
162     vlc_use_force() {
163     use $1 && use !$2 && ewarn "USE=$1 requires $2, $2 will be enabled."
164     }
165    
166 aballier 1.69 # Use when $1 depends strictly on $2
167     # if use $1 then enable $2
168 aballier 1.1 vlc_use_enable_force() {
169 aballier 1.69 use $1 && echo "--enable-$2"
170 aballier 1.1 }
171    
172     pkg_setup() {
173 aballier 1.23 if has_version '<=media-video/vlc-1.0.99999'; then
174     eerror "Please unmerge vlc-1.0.x first before installing ${P}"
175 aballier 1.11 eerror "If you don't do that, some plugins will get linked against"
176     eerror "the old ${PN} version and will not work."
177 aballier 1.23 die "Unmerge vlc 1.0.x first"
178 aballier 1.11 fi
179 aballier 1.69
180     # Useflags we need to forcefuly enable
181     vlc_use_force remoteosd gcrypt
182 aballier 1.77 vlc_use_force gnutls gcrypt
183 aballier 1.69 vlc_use_force skins truetype
184 aballier 1.1 vlc_use_force skins qt4
185 aballier 1.69 vlc_use_force vlm stream
186 aballier 1.71 vlc_use_force vaapi ffmpeg
187 aballier 1.69
188     # Useflags that will be automagically discarded if deps are not met
189 aballier 1.1 vlc_use_needs bidi truetype
190 aballier 1.69 vlc_use_needs cddb cdda
191 aballier 1.1 vlc_use_needs fontconfig truetype
192     vlc_use_needs libv4l2 v4l2
193 aballier 1.48 vlc_use_needs libv4l v4l
194 aballier 1.17 vlc_use_needs libtiger kate
195 aballier 1.39 vlc_use_needs xv xcb
196 aballier 1.69
197 aballier 1.5 if use qt4 || use skins ; then
198     qt4_pkg_setup
199 aballier 1.1 else
200     ewarn "You have disabled the qt4 useflag, ${PN} will not have any"
201     ewarn "graphical interface. Maybe that is not what you want..."
202     fi
203     }
204    
205     src_unpack() {
206     unpack ${A}
207     if [ "${PV%9999}" != "${PV}" ] ; then
208     git_src_unpack
209     fi
210 aballier 1.22 }
211 aballier 1.1
212 aballier 1.22 src_prepare() {
213     if [ "${PV%9999}" != "${PV}" ] ; then
214     git_src_prepare
215     fi
216 aballier 1.1 # Make it build with libtool 1.5
217     rm -f m4/lt* m4/libtool.m4
218    
219     EPATCH_SUFFIX="patch" epatch "${WORKDIR}/patches"
220 aballier 1.47 eautoreconf
221 aballier 1.1 }
222    
223 aballier 1.22 src_configure() {
224 aballier 1.1
225     # It would fail if -fforce-addr is used due to too few registers...
226     use x86 && filter-flags -fforce-addr
227    
228     econf \
229     $(use_enable a52) \
230     $(use_enable aalib aa) \
231     $(use_enable aac faad) \
232     $(use_enable alsa) \
233     $(use_enable altivec) \
234     --disable-asademux \
235     $(use_enable atmo) \
236     $(use_enable avahi bonjour) \
237     $(use_enable bidi fribidi) \
238     $(use_enable cdda vcd) \
239     $(use_enable cddb libcddb) \
240     $(use_enable dbus) $(use_enable dbus dbus-control) \
241     $(use_enable dirac) \
242     $(use_enable directfb) \
243     $(use_enable dc1394) \
244     $(use_enable debug) \
245     $(use_enable dts dca) \
246     $(use_enable dvb) \
247     $(use_enable dvd dvdread) $(use_enable dvd dvdnav) \
248     $(use_enable fbcon fb) \
249 aballier 1.10 $(use_enable ffmpeg avcodec) $(use_enable ffmpeg avformat) $(use_enable ffmpeg swscale) $(use_enable ffmpeg postproc) \
250 aballier 1.1 $(use_enable flac) \
251     $(use_enable fluidsynth) \
252     $(use_enable fontconfig) \
253     $(use_enable ggi) \
254     $(use_enable gnome gnomevfs) \
255     $(use_enable gnutls) \
256     $(use_enable httpd) \
257     $(use_enable id3tag) \
258 aballier 1.18 $(use_enable ieee1394 dv) \
259 aballier 1.1 $(use_enable jack) \
260     $(use_enable kate) \
261 aballier 1.68 $(use_with kde kde-solid) \
262 aballier 1.1 $(use_enable libass) \
263     $(use_enable libcaca caca) \
264 pva 1.14 $(use_enable gcrypt libgcrypt) \
265 aballier 1.1 $(use_enable libnotify notify) \
266 aballier 1.13 $(use_enable libproxy) \
267 aballier 1.1 --disable-libtar \
268 aballier 1.17 $(use_enable libtiger tiger) \
269 aballier 1.48 $(use_enable libv4l) \
270 aballier 1.1 $(use_enable libv4l2) \
271     $(use_enable lirc) \
272     $(use_enable live live555) \
273     $(use_enable lua) \
274     $(use_enable matroska mkv) \
275     $(use_enable mmx) \
276     $(use_enable modplug mod) \
277     $(use_enable mp3 mad) \
278     $(use_enable mpeg libmpeg2) \
279     $(use_enable mtp) \
280     $(use_enable musepack mpc) \
281     $(use_enable ncurses) \
282 aballier 1.65 $(use_enable nsplugin mozilla) --with-mozilla-pkg=libxul \
283 aballier 1.1 $(use_enable ogg) \
284 aballier 1.30 $(use_enable opengl glx) $(use_enable opengl) \
285 aballier 1.1 $(use_enable optimisememory optimize-memory) \
286     $(use_enable oss) \
287     $(use_enable png) \
288     --disable-portaudio \
289 aballier 1.21 $(use_enable projectm) \
290 aballier 1.1 $(use_enable pulseaudio pulse) \
291     $(use_enable pvr) \
292     $(use_enable qt4) \
293 aballier 1.69 $(use_enable remoteosd) \
294 aballier 1.1 $(use_enable rtsp realrtsp) \
295     $(use_enable run-as-root) \
296     $(use_enable samba smb) \
297     $(use_enable schroedinger) \
298     $(use_enable sdl) \
299     $(use_enable sdl-image) \
300     $(use_enable shine) \
301     $(use_enable shout) \
302     $(use_enable skins skins2) \
303     $(use_enable speex) \
304 aballier 1.50 $(use_enable sqlite) \
305 aballier 1.1 $(use_enable sse) \
306     $(use_enable stream sout) \
307     $(use_enable svg) \
308     $(use_enable svga svgalib) \
309     $(use_enable taglib) \
310     $(use_enable theora) \
311     $(use_enable truetype freetype) \
312     $(use_enable twolame) \
313 aballier 1.43 $(use_enable udev) \
314 aballier 1.1 $(use_enable upnp) \
315     $(use_enable v4l) \
316     $(use_enable v4l2) \
317     $(use_enable vcdx) \
318 aballier 1.71 $(use_enable vaapi libva) \
319 aballier 1.69 $(use_enable vlm) \
320 aballier 1.1 $(use_enable vorbis) \
321     $(use_enable win32codecs loader) \
322     $(use_enable wma-fixed) \
323 aballier 1.74 $(use_with X x) \
324 aballier 1.1 $(use_enable x264) \
325 aballier 1.2 $(use_enable xcb) \
326 aballier 1.1 $(use_enable xml libxml2) \
327     $(use_enable xosd) \
328     $(use_enable xv xvideo) \
329 aballier 1.26 $(use_enable zvbi) $(use_enable !zvbi telx) \
330 aballier 1.1 --disable-snapshot \
331     --disable-growl \
332     --disable-optimizations \
333     --enable-fast-install \
334 aballier 1.69 $(vlc_use_enable_force vlm sout) \
335     $(vlc_use_enable_force skins qt4) \
336     $(vlc_use_enable_force skins freetype) \
337 aballier 1.71 $(vlc_use_enable_force remoteosd libgcrypt) \
338 aballier 1.77 $(vlc_use_enable_force gnutls libgcrypt) \
339 aballier 1.71 $(vlc_use_enable_force vaapi avcodec)
340 aballier 1.1 }
341    
342     src_install() {
343     emake DESTDIR="${D}" install || die "make install failed"
344    
345 aballier 1.48 dodoc AUTHORS HACKING THANKS NEWS README \
346 aballier 1.66 doc/fortunes.txt doc/intf-vcd.txt
347 aballier 1.1
348     rm -rf "${D}/usr/share/doc/vlc" \
349     "${D}"/usr/share/vlc/vlc{16x16,32x32,48x48,128x128}.{png,xpm,ico}
350    
351     if use nsplugin; then
352     dodir "/usr/$(get_libdir)/${PLUGINS_DIR}"
353     mv "${D}"/usr/$(get_libdir)/mozilla/plugins/* \
354     "${D}/usr/$(get_libdir)/${PLUGINS_DIR}/"
355     fi
356    
357     use skins || rm -rf "${D}/usr/share/vlc/skins2"
358     }
359 aballier 1.61
360     pkg_postinst() {
361     gnome2_pkg_postinst
362    
363     if [ "$ROOT" = "/" ] && [ -x "/usr/$(get_libdir)/vlc/vlc-cache-gen" ] ; then
364 aballier 1.67 einfo "Running /usr/$(get_libdir)/vlc/vlc-cache-gen on /usr/$(get_libdir)/vlc/plugins/"
365 aballier 1.75 "/usr/$(get_libdir)/vlc/vlc-cache-gen" -f "/usr/$(get_libdir)/vlc/plugins/"
366 aballier 1.61 else
367     ewarn "We cannot run vlc-cache-gen (most likely ROOT!=/)"
368     ewarn "Please run /usr/$(get_libdir)/vlc/vlc-cache-gen manually"
369     ewarn "If you do not do it, vlc will take a long time to load."
370     fi
371     }

  ViewVC Help
Powered by ViewVC 1.1.20